close
Jump to content

MediaWiki:Vector.css

From Wikipedia, the free encyclopedia

This page is the CSS for the vector skin only. Major changes to this page should first be proposed on its talk page or the Village pump.

Changes should be tested. They can be tested with your personal skin.css or common.css or in the browser console.

Changes are visible within minutes. Errors you make can disrupt the entire encyclopedia.

Note: After saving, you have to bypass your browser's cache to see the changes. Google Chrome, Firefox, Microsoft Edge and Safari: Hold down the ⇧ Shift key and click the Reload toolbar button. For details and instructions about other browsers, see Wikipedia:Bypass your cache.
/* Don't display some stuff on the main page */
.page-Main_Page #deleteconfirm,
.page-Main_Page #t-cite,
.page-Main_Page #footer-info-lastmod,
.action-view.page-Main_Page #siteSub,
.action-view.page-Main_Page #contentSub,
.action-view.page-Main_Page #contentSub2 {
	display: none !important;
}

#coordinates {
	position: absolute;
	top: 3.5em;
	right: 0;
	line-height: 1.6;
	text-align: right;
	font-size: 92%;
	white-space: nowrap;
	float: right;
	margin: 0;
	padding: 0;
	text-indent: 0;
	text-transform: none;
}

/* correct position for VE */
.ve-ce-surface #coordinates {
	margin-right: 2em;
	margin-top: -1em;
}

/* FR topicon position */
div.flaggedrevs_short {
	position: absolute;
	top: -3em;
	right: 100px;
	z-index: 1;
}

/* Make "From Wikipedia, the free encyclopedia" a bit smaller */
#siteSub {
	font-size: 92%;
}


/* Move page status indicators down slightly */
.mw-indicators {
	padding-top: 0.4em;
}

/* Override [[phab:T265947]] */
.mw-body-content blockquote {
	border-left: none;
}

/* Styling for tags in changes pages */
.mw-tag-markers {
	font-style: italic;
	font-size: 90%;
}